"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var donationUrl_1 = require("./definition/donationUrl");
var createElement_1 = require("./function/createElement");
var printBanner_1 = require("../../cli-common/src/function/printBanner");
var commander = require('commander');
var chalk = require('chalk');
var packageJson = require('../../../package.json');
var elementName = undefined;
var program = new commander.Command(packageJson.name)
    .version(packageJson.version)
    .arguments('<element-name>')
    .usage(chalk.green('<element-name>') + " [options]")
    .action(function (name) {
    elementName = name;
})
    .allowUnknownOption()
    .on('--help', function () {
    console.log("    Only " + chalk.green('<element-name>') + " is required.");
    console.log();
    console.log("    If you have any problems, do not hesitate to file an issue:");
    console.log("      " + chalk.cyan(packageJson.bugs.url));
    console.log();
})
    .parse(process.argv);
(function () { return __awaiter(_this, void 0, void 0, function () {
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (!(typeof elementName === 'undefined')) return [3 /*break*/, 1];
                console.error('Please specify the element name to create. It must contain a dash:');
                console.log("  " + chalk.cyan(program.name()) + " " + chalk.green('<element-name>'));
                console.log();
                console.log('For example:');
                console.log("  " + chalk.cyan(program.name()) + " " + chalk.green('myapp-home-page'));
                console.log();
                console.log("Run " + chalk.cyan(program.name() + " --help") + " to see all options.");
                process.exit(1);
                return [3 /*break*/, 3];
            case 1: return [4 /*yield*/, createElement_1.createElement(elementName)];
            case 2:
                _a.sent();
                printBanner_1.printBanner(packageJson.homepage, packageJson.bugs.url, donationUrl_1.donationUrl);
                _a.label = 3;
            case 3: return [2 /*return*/];
        }
    });
}); })();
//# sourceMappingURL=cli.js.map